///////////////////////////////////////////////////////////////////////////////
//
// File:    nrf24l01.h
// Author:  Roger Rowland
//
// Created: December 2014
//
///////////////////////////////////////////////////////////////////////////////

#ifndef NRF24L01_H
#define	NRF24L01_H

///////////////////////////////////////////////////////////////////////////////
// public nRF24l01+ function prototypes
///////////////////////////////////////////////////////////////////////////////

void NRF_Setup();                                   // initialise nrf24l01+
void NRF_RXMode();                                  // go to receive mode
void NRF_TXMode();                                  // go to trasmit mode
void NRF_PowerDown();                               // go to low power
void NRF_TXData(uint8_t *pData, uint8_t uBytes);    // transmit data
void NRF_RXData(uint8_t *pData, uint8_t uBytes);    // receive data
uint8_t NRF_DataAvailable();                        // return non-zero if data ready
uint8_t NRF_IsInitialised();                        // return non-zero if initialised

#endif	/* NRF24L01_H */

